#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <math.h>

#include "gsl_solver.h"
#include "ode.inc"

int
main(void)
{
    FILE *csv = fopen("ode.csv", "w");
    struct gsl_solver_config config;
    struct gsl_solver solver;
    struct gsl_solver_state state;
    init_gsl_solver_config(&config);
    init_gsl_solver(&solver, &config);
    init_gsl_solver_state(&state, &solver);
    print_headers(csv);
    /* int i = 0; */
    do {
        print(csv, &state);
        /* i++; */
    } while (gsl_solver_step(&state));
    /* fprintf(stderr, "%d rows\n", i); */
    free_gsl_solver_state(&state);
    free_gsl_solver(&solver);
    return EXIT_SUCCESS;
}
